﻿@{
    ViewBag.Title = "Lookbook";
}
<style>
    .item {
        padding: 0px 4px;
    }

        .item img {
            margin-bottom: 5px;
            /*border-radius: 4px;*/
        }

    .grid {
        width: 100%;
        margin: 0px;
    }

    .grid-item {
        width: 240px;
        display: inline-flex;
    }

        .grid-item img {
            width: 230px;
            margin-bottom: 2px;
            border-radius: 2px;
        }

    .grid-item-width2 {
        width: 400px;
    }
</style>

<div class="main-content" id="main-content">

    <div class="row inner-bottom-sm">
        <div class="col-lg-10 center-block">
            <div class="section">
                <div class="grid">
                    @{
                        Random rnd = new Random();
                        var numberList = Enumerable.Range(1, 16).ToList();
                        var list = numberList.OrderBy(x => rnd.Next());

                        foreach (var n in numberList)
                        {
                            <div class="col-xs-6 col-md-3 item">
                                <a href="/Content/assets/images/lookbook/Lookbook-(@n).jpg?d=2" data-toggle="lightbox" data-gallery="lookbook">
                                    <img src="/Content/assets/images/Lookbook/Lookbook-(@n).jpg?d=2">
                                </a>
                            </div>
                        }
                    }

                </div>
            </div>
        </div>
    </div>

</div>

@section Scripts {
    <script src="/Content/assets/js/jquery.colorbox.js"></script>
    <link href="/Content/assets/css/colorbox.css" rel="stylesheet" />
    <link href="/Content/assets/js/ekko-lightbox/ekko-lightbox.min.css" rel="stylesheet" />
    <script src="/Content/assets/js/ekko-lightbox/bootstrap.min.js"></script>
    <script src="/Content/assets/js/ekko-lightbox/ekko-lightbox.min.js"></script>
    <script src="/Content/assets/js/imagesloaded.pkgd.min.js"></script>
    <script src="/Content/assets/js/masonry.pkgd.min.js"></script>
    <script type="text/javascript">

    $(document).ready(function () {

        $('.ajax-loader').show();

        $(document).on('click', '[data-toggle="lightbox"]', function (event) {
            event.preventDefault();
            $(this).ekkoLightbox();
        });

        $('.grid').imagesLoaded(function ()
        {
            $('.ajax-loader').hide();
            $('.grid').show();

            /*$('.grid').masonry(
            {
                itemSelector: '.grid-item',
                columnWidth: 225
            });*/

            $('.grid').masonry();
        });


    });

    </script>
}


